API reference
Billing
Plan, usage and credits of the organization.
GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
target?stringLength
length <= 200action?stringLength
length <= 100limit?integerRange
1 <= value <= 500Default
100before?integerRange
0 < value <= 9007199254740991OK
application/json- response
events*array<>next?integerRange
-9007199254740991 <= value <= 9007199254740991curl -X GET 'https://api.us.webagent.lookover.ai/v1/audit'Example Response
{ "events": [ { "seq": -9007199254740991, "actor": "string", "action": "string", "target": "string", "detail": null, "at": -9007199254740991 } ], "next": -9007199254740991}GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
OK
application/json- response
priceTable*stringprices?monthToDate*budget*alerts*array<>daily*array<>stripe*curl -X GET 'https://api.us.webagent.lookover.ai/v1/billing'Example Response
{ "priceTable": "string", "prices": { "property1": 0, "property2": 0 }, "monthToDate": { "priceMicros": -9007199254740991, "byKind": { "property1": -9007199254740991, "property2": -9007199254740991 } }, "budget": { "budgetMicros": 0, "spentMicros": -9007199254740991, "ratio": 0, "hardCap": true, "blocked": true }, "alerts": [ { "id": "string", "kind": "string", "period": "string", "message": "string", "at": -9007199254740991 } ], "daily": [ { "day": "string", "kind": "string", "rows": 0, "units": -9007199254740991, "priceMicros": -9007199254740991, "reportedAt": -9007199254740991 } ], "stripe": { "configured": true, "customer": "string" }}GET
Agent decisions in the window and how many the action cache replayed (decisions = cache hits + model calls)
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
sinceMs?integerRange
0 <= value <= 9007199254740991OK
application/json- response
sinceMs*integerRange
0 <= value <= 9007199254740991decisions*integerRange
0 <= value <= 9007199254740991cacheHits*integerRange
0 <= value <= 9007199254740991hitRate*numberRange
0 <= value <= 1savedMicros*integerRange
0 <= value <= 9007199254740991daily*array<>curl -X GET 'https://api.us.webagent.lookover.ai/v1/decisions/stats'Example Response
{ "sinceMs": 0, "decisions": 0, "cacheHits": 0, "hitRate": 0, "savedMicros": 0, "daily": [ { "day": "string", "decisions": 0, "cacheHits": 0 } ]}GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
sinceMs?integerRange
0 <= value <= 9007199254740991OK
application/json- response
rows*integerRange
0 <= value <= 9007199254740991units*integerRange
-9007199254740991 <= value <= 9007199254740991priceMicros*integerRange
-9007199254740991 <= value <= 9007199254740991byKind*byEngine*curl -X GET 'https://api.us.webagent.lookover.ai/v1/usage'Example Response
{ "rows": 0, "units": -9007199254740991, "priceMicros": -9007199254740991, "byKind": { "property1": { "rows": 0, "priceMicros": -9007199254740991 }, "property2": { "rows": 0, "priceMicros": -9007199254740991 } }, "byEngine": { "property1": { "rows": 0, "priceMicros": -9007199254740991 }, "property2": { "rows": 0, "priceMicros": -9007199254740991 } }}GET
Model spend in the window (default last 30 days), per UTC day and per model
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
sinceMs?integerRange
0 <= value <= 9007199254740991OK
application/json- response
sinceMs*integerRange
0 <= value <= 9007199254740991totalMicros*integerRange
0 <= value <= 9007199254740991calls*integerRange
0 <= value <= 9007199254740991daily*array<>byModel*curl -X GET 'https://api.us.webagent.lookover.ai/v1/usage/ai-spend'Example Response
{ "sinceMs": 0, "totalMicros": 0, "calls": 0, "daily": [ { "day": "string", "calls": 0, "costMicros": 0 } ], "byModel": { "property1": { "calls": 0, "costMicros": 0 }, "property2": { "calls": 0, "costMicros": 0 } }}